Subject: bug#43519: 28.0.50; Overlay at end of minibuf hides minibuf's real content

From: Gregory Heytings <[email-masked]>
Date: Tue, 22 Sep 2020 16:17:04 +0000

>> See the two attached screenshots, taken with (setq 
>> max-mini-window-height 1) and icomplete-mode. 
>> "no-completion-candidates" is what a user will see with your change, 
>> "completion-candidates" is what a user will see without your change.
>>
>> So your change has exactly the problem that you explained was so 
>> important to avoid, and that I explained was an unlikely corner case.
>
> Thanks.  Please describe the recipe to get this result starting from 
> "emacs -Q", so that I could look into it.
>

Well, it's easy to reproduce, but it depends on the size of the font used 
in the mini-window and the width of your Emacs frame, so I'm not sure it's 
possible to create a step-by-step recipe.  The simplest recipe I can think 
of is:

1. emacs -Q
2. create a long directory name (in your home directory, say)
3. C-x C-f, and enter the name of that directory, but do not press RET
4. narrow the Emacs frame until you see the cursor blinking in the right fringe
5. M-: (setq max-mini-window-height 1)
6. M-x icomplete-mode
7. C-x C-f, and enter the name of the long directory again